#!/usr/bin/env bash

for d in o_{empty,kitty}{,_dict} ; do
    rm *.gcda
    for f in "$d"/{crashes,hangs,queue}/id* ; do
        echo "$f"
        timeout -v 30s ./gifread.coverage "$f"
    done
    lcov -c -d . -o /tmp/gifread_"$d".info
    genhtml /tmp/gifread_"$d".info -o ~/Downloads/gifread_"$d"
done
