#!/usr/bin/env bash

# ASAN
for d in claude_asan afl_asan_o_{empty,kitty}{,_dict} ; do
    echo -n "$d ASAN "
    for tp in BUS SEGV heap-buffer-overflow; do
        grep -l $tp "$d"/* | xargs grep -h -m 1 gifdec.c | sed 's/0x1......../0x1XXXXXXXX/'
    done | sort | uniq -c | wc -l
done
# UBSAN
for d in claude_ubsan afl_ubsan_o_{empty,kitty}{,_dict} ; do
    echo -n "$d UBSAN "
    grep -h 'runtime error' "$d"/* | grep -o 'gif.*\.c:[0-9]\+:[0-9]\+' | sort | uniq | wc -l
done
# Hangs
if grep -q timeout claude_asan/* claude_ubsan/* ; then
    echo claude HANG yes
else
    echo claude HANG no
fi
for d in o_{empty,kitty}{,_dict}; do
    if grep -q timeout afl_asan_"$d"/* afl_ubsan_"$d"/* ; then
        echo "$d" HANG yes
    else
        echo "$d" HANG no
    fi
done
